package roseindia;

import java.util.Iterator;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.criterion.ProjectionList;
import org.hibernate.criterion.Projections;
import org.hibernate.criterion.Restrictions;
import roseindia.bean.User;
import roseindia.util.HibernateUtil;

public class CriteriaMinMaxAverage {

	public static void main(String[] args) {

		Session session = HibernateUtil.getSessionFactory().openSession();

		User user = null;

		try {
			// Creating a Criteria instance
			Criteria crit = session.createCriteria(User.class);
			ProjectionList prolist = Projections.projectionList();
			prolist.add(Projections.max("empSalary"));
			prolist.add(Projections.min("empSalary"));
			prolist.add(Projections.avg("expInMonth"));
			crit.setProjection(prolist);
			List list = crit.list();
			Iterator itr = list.iterator();
			if (!itr.hasNext()) {
				System.out.println("No Data Available!");
			} else {
				while (itr.hasNext()) {
					System.out.printf("\n");

					Object[] row = (Object[]) itr.next();
					for (int i = 0; i < row.length; i++) {
						if (i == 0) {
							System.out.print("Max Salary is : ");
							System.out.print(row[i]);
							System.out.printf("\n");
						}
						if (i == 1) {
							System.out.print("Min Salary is : ");
							System.out.print(row[i]);
							System.out.printf("\n");
						}
						if (i == 2) {
							System.out.print("average expr is (in months): ");
							System.out.print(row[i]);
							System.out.printf("\n");
						}

					}
				}
			}

		} catch (HibernateException e) {

			e.printStackTrace();
		} finally {
			session.close();
		}

	}

}
