package roseindia;

import java.util.Iterator;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.criterion.Restrictions;
import roseindia.bean.User;
import roseindia.util.HibernateUtil;

public class CriteriaUniqueResult {

	public static void main(String[] args) {

		Session session = HibernateUtil.getSessionFactory().openSession();
		User user = null;

		try {
			// Creating a Criteria instance
			Criteria crit = session.createCriteria(User.class);
			crit.add(Restrictions.eq("empName", "Gyan 4"));
			crit.setMaxResults(3);
			user = (User) crit.uniqueResult();

			List list = crit.list();
			Iterator itr = list.iterator();
			while (itr.hasNext()) {
				user = (User) itr.next();
				System.out.println("EmpId: " + user.getEmpId());
				System.out.printf("\t");
				System.out.println("EmpName: " + user.getEmpName());
				System.out.printf("\t");
				System.out.println("EmpAddr: " + user.getEmpAddr());
				System.out.printf("\t");
				System.out.println("ExpInMonth: " + user.getExpInMonth());

			}

		} catch (HibernateException e) {

			e.printStackTrace();
		} finally {
			session.close();
		}

	}

}
